#ifndef COMPLEX_H
#define COMPLEX_H

class Complex
{
public:
    Complex(double _re = 0.0, double _im = 0.0);

    double  squareMag();
    double  mag();

    void    operator=(const Complex rhs);
    Complex operator+(const Complex rhs);
    Complex operator*(const Complex rhs);

    double re;
    double im;
};

#endif // COMPLEX_H
